package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Channel;
import cn.efunbox.audio.entity.Rights;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface RightsRepo extends JpaRepository<Rights, Long> {

    public List<Rights> findById(Long id);
    public List<Rights> findByIdChannel(Long idChannel);
    public List<Rights> findByIdGroup(Long idGroup);
    public List<Rights> findByIdChannelAndIdGroup(Long idChannel, Long idGroup);
    public List<Rights> findByNameChannel(String nameChannel);
    public List<Rights> findByNameGroup(String nameGroup);

}
