package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Channel;
import cn.efunbox.audio.entity.Rights;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface RightsService {

    public Rights GetOne(Long id);

    public List<Rights> SearchAll();

    public List<Rights> SearchById(Long id);

    public List<Rights> SearchByIdChannel(Long id);

    public List<Rights> SearchByIdGroup(Long id);

    public List<Rights> SearchByIdChannelAndIdGroup(Long idChannel, Long idGroup);

    public List<Rights> SearchByNameChannel(String name);

    public List<Rights> SearchByNameGroup(String name);

    public Rights Insert(Rights rights);

    public void Delete(Long id);
}
